package cn.estsh.i3plus.pojo.aps.enums;

public enum FIELD_TYPE {
    NONE,
    BOOLEAN,    // 布尔
    CHAR,       // 字符
    SHORT,      // 短整型
    INTEGER,    // 整型
    LONG,       // 长整型
    DOUBLE,     // 浮点型
    DATE,       // 日期类型(2019-09-16)
    TIME,       // 时间类型(17:35:30)
    DATETIME,   // 日期时间类型(2019-09-16 17:35:30)
    DURATION,   // 时间段(1H)
    ENUM,       // 枚举
    MULTIENUM,  // 多选枚举
    STRING,     // 字符串
    OBJECT,     // 关联对象，下来选择关联对象的Code值
    LIST        // 对象集合，不可编辑。
}
